Subject: [os2genau_digest] No. 1693
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 25 Aug 2008 00:00:30 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 24 August 2008
 Number  1693
**************************************************

Subjects for today
 
1  Re:  [OS2-ISP]: Java 1.5 of OS/2 : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  [OS2-ISP]: Java 1.5 of OS/2 : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 24 Aug 2008 07:04:02 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  [OS2-ISP]: Java 1.5 of OS/2

Ian Manners wrote:
> <http://os2 dot org dot au/list/digest/2008/02/2008Feb29000036.txt>
>
>
> Cheers
> Ian Manners
> http://www.os2site dot com/
>

>  
> ===========================================
>   
My first attempt failed by the way, then I got distracted on another 
project so never went back to try again.

If you try it Chris, please let us all know how you go.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 24 Aug 2008 09:39:07 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  [OS2-ISP]: Java 1.5 of OS/2

On Sun, 24 Aug 2008 07:04:02 +1000, Ed Durrant wrote:

>Ian Manners wrote:
>> <http://os2 dot org dot au/list/digest/2008/02/2008Feb29000036.txt>
>>
>>
>> Cheers
>> Ian Manners
>> http://www.os2site dot com/
>>
>
>>  
>> ===========================================
>>   
>My first attempt failed by the way, then I got distracted on another 
>project so never went back to try again.
>
>If you try it Chris, please let us all know how you go.

I'll see how I go.

I can see a number of issues that may arise.

	- The VM changes itself betwen 1.4 and 1.5. Given that 1.5 was
significantly different, in that it added enums, generics etc. Plus the
normal issues of the various class format loading issues.

	- Were the tested apps 1.4 apps running using the 1.5 stuff, or
where they compiled using 1.5 and targeted for 1.5?

Has anyone tried Apache Harmony? The apache open source/clean room version
of 1.5?

I had some discussions with Golden Code a while back, and they purchased
the 1.4.1 Sun Hotspot VM and ported it. They said that most of their work
was fixing the buggy sun code to work under OS/2.

If Sun have open sourced everything, does that include their VM as well?
Has anyone looked at that? Is it an option?

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------